## systemd 204

=== debian/changelog ===
systemd (204-5ubuntu20) trusty; urgency=medium

  * systemd-logind.conf: Don't use the limit stanza which fails the
    whole job when failing to set the ulimit. Instead call ulimit itself
    from the job and ignore its return code. This allow systemd-logind to
    start in unprivileged LXC containers. (LP: #1307595)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 14 Apr 2014 12:20:33 -0400

systemd (204-5ubuntu19) trusty; urgency=medium

  * cgmanager: don't call nih_dbus_setup() since we won't use the
    nih_mainloop().  (LP: #1303649)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 11 Apr 2014 10:17:04 -0500

systemd (204-5ubuntu18) trusty; urgency=medium

  * Revert "Do not restart logind on package upgrades" change from
    204-0ubuntu1. This is obsolete now, as we only ever shipped version 204 in
    stable releases. This was an intra-development release upgrade fix only,
    and it did not even work properly. This fixes logind not getting started
    on package install. (LP: #1305395)
  * Update 60-keyboard.hwdb from upstream git. Adds Samsung Series 7 Ultra.
  * debian/libpam-systemd.systemd-logind.upstart: Don't try to mount
    /sys/fs/cgroup/systemd in a container, as that will fail. cgmanager will
    be used for these cases.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 10 Apr 2014 15:46:51 +0200

systemd (204-5ubuntu17) trusty; urgency=medium

  * Fix crash on systems without cgmanager. (LP: #1302264)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 04 Apr 2014 00:17:14 -0400

systemd (204-5ubuntu16) trusty; urgency=medium

  [ Stéphane Graber ]
  * Never call normalize_controller when controll is NULL as this
    triggers an assert... (LP: #1301846)

  [ Serge Hallyn ]
  * d/p/add-cgmanager-support: make sure connections are closed  (LP: #1301882)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 03 Apr 2014 13:53:09 -0400

systemd (204-5ubuntu15) trusty; urgency=medium

  * Pass --disable-cgmanager in the udeb build pass, d-i doesn't need it.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 02 Apr 2014 22:01:55 -0600

systemd (204-5ubuntu14) trusty; urgency=medium

  [ Steve Langasek ]
  * Do proper refcounting of the PAM module package on prerm, so that we
    don't drop the module from the PAM config when uninstalling a
    foreign-arch package.  Related to Ubuntu bug #1295521.

  [ Stéphane Graber ]
  * Add cgmanager support to logind. This will use the cgmanager socket
    instead of cgroupfs when cgmanager is available. Otherwise it'll simply
    fallback on the cgroupfs code. (LP: #1297363)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 01 Apr 2014 20:02:35 -0400

systemd (204-5ubuntu13) trusty; urgency=medium

  * Fix FTBFS against recent kernels & glibc.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 28 Feb 2014 23:54:54 +0000

systemd (204-5ubuntu12) trusty; urgency=medium

  * Mark autopkgtest with "isolation-machine" as this test can't run in
    schroot or LXC.
  * Import latest keymaps from upstream git.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 28 Feb 2014 11:55:09 +0100

systemd (204-5ubuntu11) trusty; urgency=medium

  [ Ben Howard ]
  * debian/extra/rules/75-persistent-net-generator.rules: Add new block of
    Windows Azure ethernet hardware address to ignore persistent naming
    (LP: #1274348).

  [ Stefan Bader ]
  * Modify debian/extra/rules/78-graphics-card.rules to match for
    "efi-framebuffer" in addition to "efifb" (LP: #1277006)

  [ Martin Pitt ]
  * debian/extra/rules/78-graphics-card.rules: Add vesa-framebuffer as well,
    thanks to Andy Whitcroft for pointing out.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Feb 2014 12:42:39 +0100

systemd (204-5ubuntu10) trusty; urgency=medium

  * Add debian/extra/rules/73-idrac.rules: On Dell PowerEdge systems, the
    iDRAC7 and later support a USB Virtual NIC for management. Name this
    interface "idrac" to avoid confusion with "real" network interfaces.
  * Pull latest keymaps from upstream git:
    - Acer Aspire One A110 Fn+F5 Key release (LP: #1272658)
    - Sony Vaio VGN-FW250 (LP: #1271163)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 Jan 2014 17:51:14 +0100

systemd (204-5ubuntu9) trusty; urgency=medium

  [ Chris Wayne ]
  * support-phablet-etc-writable.patch: Allow writing to /etc/hostname and
    /etc/machine-info as symlinks.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 20 Jan 2014 10:03:39 +0100

systemd (204-5ubuntu8) trusty; urgency=low

  * pam-check-runtime-dir-user.patch: Make "not owned by the target uid" log
    message only appear in debug mode, as it's a normal operation.
  * Respect DEB_BUILD_OPTIONS=nocheck.
  * Update 60-keyboard.hwdb from upstream git.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 10 Jan 2014 08:18:59 +0100

systemd (204-5ubuntu7) trusty; urgency=medium

  * Enable all cgroup controllers in logind.conf. This is needed so that
    unprivileged LXC may work.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 09 Jan 2014 11:16:57 -0500

systemd (204-5ubuntu6) trusty; urgency=low

  * Add pam-check-runtime-dir-user.patch: Don't set an existing
    $XDG_RUNTIME_DIR in the PAM module if it isn't owned by the session user.
    Otherwise su sessions get a runtime dir from a different user which leads
    to either permission errors or scribbling over the other user's files.
    (LP: #1197395)
  * Update debian/extra/60-keyboard.hwdb from current upstream trunk:
    - Fix Lenovo Z370 (LP: #1245189)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Nov 2013 14:00:55 +0100

systemd (204-5ubuntu5) trusty; urgency=low

  * Remove Debian's customized 80-drivers.rules, use (patched) upstream's as
    we always did.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 11 Nov 2013 07:06:47 +0100

systemd (204-5ubuntu4) trusty; urgency=low

  * Remove Debian's customized persistent storage rules, use upstream's as we
    always used to do.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 11 Nov 2013 06:59:42 +0100


