## systemd 204-5ubuntu20.15linuxmint1

=== debian/changelog ===
systemd (204-5ubuntu20.15linuxmint1) rosa; urgency=medium

  * pam_systemd: Set XDG_RUNTIME_DIR=/run/user/0 when the UID is 0 and different than the original one

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 13 Nov 2015 13:33:25 +0000

systemd (204-5ubuntu20.15) trusty; urgency=medium

  * Avoid writing duplicate entries in 70-persistent-net.rules by double
    checking if the new udev rule has already been written for the given
    interface. This happens if multiple add events are generated before
    the write_net_rules script returns and udevd renames the interface.
  * write_net_rules: Escape '{' and '}' characters as well, to make this work
    with busybox grep.  (LP: #1470399)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Mon, 05 Oct 2015 12:34:41 +0200

systemd (204-5ubuntu20.14) trusty; urgency=medium

  * debian/extra/60-keyboard.hwdb: Update to current version, as per standing
    SRU exception:
    - Fix wireless switch on Dell Latitudes. (LP: #1441849)
    - Fix Microphone mute hotkey for Dell Precision series. (LP: #1494135)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 10 Sep 2015 09:35:27 +0200

systemd (204-5ubuntu20.13) trusty; urgency=medium

  * debian/patches/ibmveth_persistent_mac.patch: fix the exception to locally
    administered MAC addresses for ibmveth; use DRIVERS rather than SUBSYSTEMS
    to point to ibmveth. (LP: #1437375)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 08 Jul 2015 13:34:18 -0400

systemd (204-5ubuntu20.12) trusty; urgency=medium

  * Add support for HP ProLiant m400 Server Cartridge soft powerdown on the
    hwe kernel (utopic). (LP: #1428811)

 -- Craig Magina <craig.magina@canonical.com>  Thu, 05 Mar 2015 16:29:35 -0500

systemd (204-5ubuntu20.11) trusty; urgency=medium

  [ Ben Howard ]
  * Add debian/extra/rules/62-google-cloudimg.rules: Use "noop" scheduler for
    Google virtio drives. (LP: #1420544)

  [ Martin Pitt ]
  * Add upstream-ignore-mmcrpmb.patch: Fix /dev/disk/by-path/ symlink of mmc
    RPMB partitions and don't blkid them to avoid kernel buffer I/O errors and
    timeouts. (LP: #1333140)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 18 Feb 2015 12:11:49 +0100

systemd (204-5ubuntu20.10) trusty; urgency=medium

  * Replace our always-probe-cpu-support-drivers.patch (which is specific to
    the "cpu" subsystem) with the more generic upstream fix which also applies
    to other subsystems. Fixes some modules not loading automatically when
    using kernel backports > 3.11. (LP: #1404509)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 23 Jan 2015 08:18:59 +0100

systemd (204-5ubuntu20.9) trusty; urgency=medium

  * Pull latest keymaps from trunk, as per standing microrelease exception.
    Amongst others, this also fixes the "micmute" key on Dell Latitudes.
    (LP: #1339998)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Nov 2014 11:16:26 +0100

systemd (204-5ubuntu20.8) trusty; urgency=medium

  [ Ben Howard ]
  * 75-persistent-net-generator.rules: Add new Microsoft net rule
    (LP: #1367883)

  [ Martin Pitt ]
  * debian/libpam-systemd.systemd-logind.upstart: Fix "PAM module installed"
    check for the case when there is more than one library installed, which
    can happen on multi-arch systems. Thanks Grzegorz Gutowski! (LP: #1382510)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 Oct 2014 08:05:16 +0100

systemd (204-5ubuntu20.7) trusty; urgency=medium

  * udev-fallback-graphics.conf: Avoid failure if vesafb module is compiled
    in. (LP: #1367241).

 -- Dariusz Gadomski <dariusz.gadomski@canonical.com>  Fri, 12 Sep 2014 13:31:52 +0200

systemd (204-5ubuntu20.6) trusty; urgency=medium

  * Fix syntax of HyperV net rules (LP: #1361272).

 -- Ben Howard <ben.howard@ubuntu.com>  Mon, 25 Aug 2014 11:02:20 -0600

systemd (204-5ubuntu20.5) trusty; urgency=medium

  * Add support for HP ProLiant m400 Server Cartridge soft powerdown
    (LP: #1354306)

 -- dann frazier <dann.frazier@canonical.com>  Fri, 08 Aug 2014 13:45:25 +0200

systemd (204-5ubuntu20.4) trusty-proposed; urgency=medium

  * Add HP ProLiant m800 Server Cartridge power control support. The cartridge
    uses gpio_keys.12 to emulate shutdown. (LP: #1347776)

 -- Manoj Iyer <manoj.iyer@canonical.com>  Mon, 21 Jul 2014 17:58:06 -0500

systemd (204-5ubuntu20.3) trusty; urgency=medium

  * Fix various issues with the cgmanager integration (LP: #1309025):
     - Always return false on connection failure.
     - Always nih_free variables that were potentially nih allocated.
     - Always initialize the children listings to NULL.
     - Always initialize the list iterator to 0.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 18 Jun 2014 23:37:50 -0400

systemd (204-5ubuntu20.2) trusty; urgency=medium

  * Update Enable-all-cgroup-controllers-in-logind.patch to also include
    net_cls and net_prio. That should cover all existing cgroups.
    (LP: #1317179)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 08 May 2014 18:32:05 -0500

systemd (204-5ubuntu20.1) trusty-proposed; urgency=medium

  [Martin Pitt]
  * Advertise hibernation only if there's enough free swap. Patches backported
    from current upstream. (LP: #1313522)

 -- Yu Ning <ning.yu@canonical.com>  Wed, 07 May 2014 19:41:29 +0800
