## systemd 208

=== debian/changelog ===
systemd (208-8ubuntu8) utopic; urgency=medium

  * debian/tests/boot-and-services: Be more liberal about the expected
    NetworkManager rsyslog lines; curiously on i386 we don't get NM's
    "starting" message, but plenty of others. Fixes failing i386 autopkgtest.
  * Pull latest keymaps from upstream. Fixes touchpad toggle on Asus laptops.
    (LP: #1377352)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 07 Oct 2014 12:16:29 +0200

systemd (208-8ubuntu7) utopic; urgency=medium

  * Reinstate udev-fallback-graphics.conf fix below fails to
    install this replaced init script.  Fixes brown paper bag fail.
    (LP: #1375805)

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 01 Oct 2014 13:19:40 +0100

systemd (208-8ubuntu6) utopic; urgency=medium

  * Reinstate udev-fallback-graphics.conf without which we will
    no longer start a display manager unless we have a primary
    graphics device.  This leads to no display manager on some vbox
    instances and some binary drivers.  Note that this version of
    the job also includes the fix used in the LTS SRUs for LP#1367241
    which initially removed this file.  (LP: #1375805, #1367241)

 -- Andy Whitcroft <apw@ubuntu.com>  Tue, 30 Sep 2014 17:08:35 +0100

systemd (208-8ubuntu5) utopic; urgency=medium

  * Extend systemd's "net" device udev rule to trigger ifup@.service on
    network devices. In Debian this is done through net.agent, but we do not
    install this in Ubuntu. (LP: #1374521)
  * debian/ifup@.service: Additionally run for "auto" class. We don't really
    support "allow-hotplug" in Ubuntu at the moment, so we need to deal with
    "auto" devices appearing after "/etc/init.d/networking start" already ran.
    (LP: #1374521)
  * Pull latest keymaps from upstream trunk.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 30 Sep 2014 07:55:12 +0200

systemd (208-8ubuntu4) utopic; urgency=medium

  * debian/tests/boot-and-services: Accept lower-case spelling of "command
    line" in dmesg log. Curiously the case differs between amd64 and i386..

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 18 Sep 2014 21:10:42 +0200

systemd (208-8ubuntu3) utopic; urgency=medium

  [ Dariusz Gadomski ]
  * Remove udev-fallback-graphics.conf (LP: #1367241).

  [ Martin Pitt ]
  * 75-persistent-net-generator.rules: Add new MS Azure MAC prefix 00:25:ae.
    (LP: #1367883)
  * Provide shutdown fallback for upstart. (LP: #1370329)
  * debian/tests/boot-and-services: Check rsyslog and udev.
  * debian/tests/boot-and-services: Add tests for journal.
  * debian/tests/boot-and-services: Replace grub kernel command line mangling
    with installing systemd-sysv. Rebooting after that works now, and most
    dependencies to "upstart" got fixed/dropped.

  [ Andy Whitcroft ]
  * Unblacklist hyperv_fb again, it is needed for graphical support on Hyper-V
    platforms. (LP: #1359933)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 18 Sep 2014 08:39:21 +0200

systemd (208-8ubuntu2) utopic; urgency=medium

  [ Ben Howard ]
  * 75-persistent-net-generator.rules: Fix matches of HyperV. (LP: #1361272)

  [ Martin Pitt ]
  * Add new autopkgtest boot_and_services which reboots the testbed with
    systemd as init and verifies that the most critical services like lightdm,
    D-BUS, NetworkManager, and cron work. (To be extended in the future)
  * Fix udev path in udev(7). (LP: #1357782)
  * path_id: suppress ID_PATH for devices with an unknown parent device type.
    (LP: #1321816)
  * udev-builtin-keyboard: Allow numeric key codes. (LP: #1247584)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 08 Sep 2014 14:44:35 +0200

systemd (208-8ubuntu1) utopic; urgency=medium

  [ Martin Pitt ]
  * Merge with Debian unstable.
  * debian/gbp.conf: Put ubuntu tags in the ubuntu/ namespace.

  [ Dann Frazier ]
  * Add support for HP ProLiant m400 Server Cartridge soft powerdown
    (LP: #1354306)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 21 Aug 2014 07:58:30 +0200

systemd (208-8) unstable; urgency=medium

  [ Martin Pitt ]
  * Fix duplicate line in copyright. (Closes: #756899)
  * Drop --disable-xattr configure option for udeb, does not exist any more.
  * Add Turkish debconf translations. Thanks Mert Dirik! (Closes: #757498)
  * Backport fix for lazy session-activation on non-seat0 seats.
    (LP: #1355331)

  [ Michael Biebl ]
  * Use "kmod static-nodes --output=/proc/self/fd/1" in make_static_nodes() as
    we can't rely on /dev/stdout to exist at this point during boot.
    (Closes: #757830)
  * Fix udev SysV init script and d-i start script to not write to
    /sys/kernel/uevent_helper unconditionally to not fail on a kernel with
    CONFIG_UEVENT_HELPER unset. (Closes: #756312)
  * Add Breaks: kmod (<< 14) to udev to make sure we have a kmod version
    supporting the static-nodes command.
  * Add Breaks: systemd (<< 208) to udev to avoid partial upgrades. Newer udev
    versions rely on kmod-static-nodes.service being provided by systemd.
    (Closes: #757777)
  * Updated upstream v208-stable patch series to 53b1b6c.
  * Cherry-pick upstream fix to ignore temporary dpkg files. (Closes: #757302)
  * Make emergency.service conflict with rescue.service.
    Otherwise if rescue mode is selected during boot and the emergency mode
    is triggered (e.g. via a broken fstab entry), we have two sulogin
    processes fighting over the tty. (Closes: #757072)
  * Stop syslog.socket when entering emergency mode as otherwise every log
    message triggers the start of the syslog service and its dependencies
    which conflicts with emergency.target. (Closes: #755581)

 -- Michael Biebl <biebl@debian.org>  Thu, 21 Aug 2014 00:14:21 +0200

systemd (208-7ubuntu4) utopic; urgency=medium

  * Lower Breaks: to lvm2 again. Our lvm2 package has always used udev for
    device setup, and thus should be compatible with systemd, too.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 07 Aug 2014 07:11:28 +0200

systemd (208-7ubuntu3) utopic; urgency=medium
